CREATE PROCEDURE [dbo].[spInsertPrivateMessage] 
	@in_from_id		int,
	@in_to_id		int,
	@in_message_subject	varchar(255),
	@in_message		text,
	@in_created		datetime,
	@in_sent		datetime
AS
BEGIN
	INSERT INTO tblPriMsgs (
		primsg_title,
		primsg_message,
		from_userid, 
		to_userid, 
		create_time, 
		sent_time, 
		action_flag
		) 
	VALUES(
		@in_message_subject,
		@in_message,
		@in_from_id,
		@in_to_id,
		@in_created,
		@in_sent,
		'N'
		);
END
